package co.yixiang.yshop.module.member.enums;

import co.yixiang.yshop.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * <p>
 * member 系统，使用 1-004-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 用户相关  1004001000============
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1004001000, "用户不存在");
    ErrorCode USER_PASSWORD_FAILED = new ErrorCode(1004001001, "密码校验失败");

    // ========== AUTH 模块 1004003000 ==========
    ErrorCode AUTH_LOGIN_BAD_CREDENTIALS = new ErrorCode(1004003000, "登录失败，账号密码不正确");
    ErrorCode AUTH_LOGIN_USER_DISABLED = new ErrorCode(1004003001, "登录失败，账号被禁用");
    ErrorCode AUTH_TOKEN_EXPIRED = new ErrorCode(1004003004, "Token 已经过期");
    ErrorCode AUTH_THIRD_LOGIN_NOT_BIND = new ErrorCode(1004003005, "未绑定账号，需要进行绑定");
    ErrorCode AUTH_WEIXIN_MINI_APP_PHONE_CODE_ERROR = new ErrorCode(1004003006, "获得手机号失败");
    ErrorCode MINI_AUTH_LOGIN_BAD = new ErrorCode(1004004002, "登录失败，请联系管理员");

    // ========== 用户收件地址 1004004000 ==========
    ErrorCode USER_ADDRESS_NOT_EXISTS = new ErrorCode(1004004000, "用户收件地址不存在");
    ErrorCode USER_ADDRESS_PARAM_NOT_EXISTS = new ErrorCode(1004004001, "用户收件地址参数错误");
    ErrorCode USER_BILL_NOT_EXISTS = new ErrorCode(1004004001, "用户账单不存在");

    // ========== 会员标签分组==========
    ErrorCode USER_TAG_GROUP_NOT_EXISTS = new ErrorCode(1004005000, "会员标签分组不存在");
    // ========== 会员标签==========
    ErrorCode USER_TAG_NOT_EXISTS = new ErrorCode(1004006000, "会员标签不存在");
    // ========== 用户标签中间 ==========
    ErrorCode USER_TAG_REF_NOT_EXISTS = new ErrorCode(1004007000, "用户标签中间不存在");
    // ========== 会员积分规则==========
    ErrorCode INTEGRAL_RULE_NOT_EXISTS = new ErrorCode(1004008000, "会员积分规则不存在");
    // ========== 签到记录 ==========
    ErrorCode SIGN_IN_RECORD_NOT_EXISTS = new ErrorCode(1004009000, "签到记录不存在");
    ErrorCode TODAY_SIGN_IN_RECORD_EXISTS = new ErrorCode(100409001, "今日已签到");
    // ========== 会员等级配置  ==========
    ErrorCode USER_LEVEL_CONFIG_NOT_EXISTS = new ErrorCode(1004011000, "会员等级配置不存在");
    // ========== 会员等级权益配置==========
    ErrorCode USER_LEVEL_EQUITY_NOT_EXISTS = new ErrorCode(1004012000, "会员等级权益配置不存在");
    // ========== 会员成长任务配置 ==========
    ErrorCode USER_LEVEL_GROWTH_VALUE_CONFIG_NOT_EXISTS = new ErrorCode(1004013000, "会员成长任务配置不存在");
    // ========== 会员等级权益中间 ==========
    ErrorCode USER_LEVEL_EQUITY_REF_NOT_EXISTS = new ErrorCode(1004014000, "会员等级权益中间不存在");

    ErrorCode STORE_NOT_EXISTS = new ErrorCode(1004005000, "请选择门店");

    // ========== 邀请日志 ==========
    ErrorCode USER_INVITE_LOG_NOT_EXISTS = new ErrorCode(1004006000, "邀请日志不存在");

    ErrorCode BURY_POINT_NOT_EXISTS = new ErrorCode(1004007000, "埋点不存在");
    ErrorCode NOT_ENOUGH_INTEGRAL = new ErrorCode(1004008000, "积分余额不足");

}
